package com.fuzamei.web;

import java.util.Map;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import com.alibaba.fastjson.JSON;
import com.fuzamei.baseTest.BaseJunit4Test;
import com.fuzamei.entity.Param;

public class CargoDeliverActionTest extends BaseJunit4Test{

	@Autowired
	private CargoDeliverAction cargoDeliverAction;
	
	@Test//测试【供应商】查询订单功能
	public void test01(){
		Param param=new Param();
		param.setUserId(9007);
		param.setPage(1);
		param.setOrderId(100000001);
		param.setCarNo("浙A9819Y");
		param.setStatusId(null);
		param.setStartTime(null);
		param.setEndTime(1516955480353L);
		Map<String, Object> result = cargoDeliverAction.queryOrdersByCarrier(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	
	@Test//测试订单跟踪
	public void test02(){
		Param param=new Param();
		param.setUserId(9007);
		param.setOrderId(100000003);
		Map<String, Object> result = cargoDeliverAction.orderTracking(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	
}
